package com.caimei365.manager.entity.caimei;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/12
 */
@Data
public class CmPriorKeyword {
    /**
     * id
     */
    private Integer id;
    /**
     * 标签Id
     */
    private Integer searchId;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 删除标记 0：为删除，1：已删除
     */
    private Integer delFlag;
    /**
     * 关键词
     */
    private String keyword;
    /**
     * 标签库数据来源（1：手动添加；2：用户关键词统计；3：导入，4：协销填写）
     */
    private Integer fromSearch;
    /**
     * 协销Id 当 fromSearch 为 4的时候有值
     */
    private Integer serviceProviderId;
    /**
     * 协销名称
     */
    private String name;
    /**
     * 0：动态标签；1：静态标签
     */
    private Integer dynamicStatus;

}
